rte_bbdev_op_dec_ldpc_tb_params(3)

NAME
rte_bbdev_op_dec_ldpc_tb_params

SYNOPSIS

#include <rte_bbdev_op.h>

  Data Fields

uint32_t ea
uint32_t eb
uint8_t c
uint8_t r
uint8_t cab

Detailed Description

LDPC decode transport block parameters

Definition at line 381 of file rte_bbdev_op.h.

Field Documentation

  uint32_t ea
Ea, length after rate matching in bits, r < cab. [3GPP TS38.212, section 5.4.2.1]

Definition at line 385 of file rte_bbdev_op.h.

  uint32_t eb
Eb, length after rate matching in bits, r >= cab. [3GPP TS38.212, section 5.4.2.1]

Definition at line 389 of file rte_bbdev_op.h.

  uint8_t c
The total number of CBs in the TB or partial TB [1:RTE_BBDEV_LDPC_MAX_CODE_BLOCKS]

Definition at line 393 of file rte_bbdev_op.h.

  uint8_t r
The index of the first CB in the inbound mbuf data, default is 0

Definition at line 395 of file rte_bbdev_op.h.

  uint8_t cab
The number of CBs that use Ea before switching to Eb, [0:63]

Definition at line 397 of file rte_bbdev_op.h.

Author

Generated automatically by Doxygen for DPDK from the source code.